Bug 827508 - [abrt] xfce4-panel-4.8.6-4.fc17: handler_lists_cmp: Process /usr/bin/xfce4-panel was killed by signal 11 (SIGSEGV)
[abrt] xfce4-panel-4.8.6-4.fc17: handler_lists_cmp: Process /usr/bin/xfce4-pa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:b0a1890e2dcb6d9ff7c3e7d6745...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 12:16 EDT by Sjoerd Mullender
Modified: 2013-08-01 13:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:28:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.60 KB, text/plain)
2012-06-01 12:16 EDT, Sjoerd Mullender
no flags Details
File: maps (41.14 KB, text/plain)
2012-06-01 12:16 EDT, Sjoerd Mullender
no flags Details
File: dso_list (7.72 KB, text/plain)
2012-06-01 12:16 EDT, Sjoerd Mullender
no flags Details

  None (edit)
Description Sjoerd Mullender 2012-06-01 12:16:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: handler_lists_cmp
executable:     /usr/bin/xfce4-panel
kernel:         3.3.7-1.fc17.x86_64
pid:            1667
pwd:            /home/sjoerd
time:           2012-06-01T18:07:00 CEST
uid:            1000
username:       sjoerd
xsession_errors: 

backtrace:      Text file, 20071 bytes
dso_list:       Text file, 7901 bytes
maps:           Text file, 42129 bytes

build_ids:
:b2155432f24d5d6d09cbea827d0d51b59142b036
:8568e11bef79abaf14513d18a8559282d8dad34a
:54a5cc118d928470da13565de8592b664a9868e0
:f6d72221cbd08cb36bb88823d33deb2024f2bee3
:4931698267d10acff918becd47ee369a84acd50e
:b6d75088f555d197be1476cb1c580640826ae029
:f813375cba5b47aac7576dfddc1d9f8f056ee895
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:bf3896337bc9c23d87dab5a0a30a358204e03c78
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:ea7dbc94b28d208c34660d384674a6827f1da318
:f4d479614b09460085428bbe7d53df454d0d39e5
:b277af36744327e3d58eae76bcdaadcca71a28c6
:e8e91030a190ea4578f1cbdc93b8dad0a2736653
:6d1e290891a053289ccb8d901e064a06db843ac2
:ec87953f655fbcbcbe71b591db5451e56739576e
:03a3531257193c88ade30f23f9dc93545fa5397d
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:38457d349f3490dacb3643df6a98484c089d16e4
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:a796ea797d0df8ae36c4cb4285848df7067ab0b1
:faca16f15d87b83d2947a386e319b02f724dcbb5
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:253afe744466fe7580bbb6040de6183dba9e2b02
:127f8958b602715234a02b88adb08afd9e34c203
:877685c5afa0faf0e43ad65f21587f699edcc04d
:e54d61d3a68a34f47392f3ace3974da77c548a83
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd
:508cf66f72e70054a41215f80ed2385c6bb80030
:647c8183274c4626c81e86e7a631a81782a04e65
:b936b54af8b4d636b381f26d6206163cdcd7f6a4
:63651cdc0224824a9c9324c77c3b5887378e871d
:91cbc90630a54f1b3d7fedb507b160585ff96419
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:42675a8ad8f70ff19362070510cdf1ba202a70db
:1c1cbb11b6d1c924bc72f2703a3077f89cd1e5b6
:73777e822e00ca152ffca281ab0ace0cb498ec48
:67792c148d2b8f13f6732c9367e926c26d7376c5
:0eda37efa596eafa8fe8122533c0a58bd3301325
:404cbecd24d186758ed474b345313da28b2990fa
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:1a0c09f270adf8398df4362ce0acfafc1f970982
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:251d592c044f4fdf5e69ae2ed6f90f5a87196a42
:240dedfb54cdea7abec257f93859275849439a87
:731b3801f71de6bd888953161b715e6cbda0ab60
:d804f8ee47797da9213a92f00cd095ecada8d79f
:67388581f7acb8c4ebb9649493efd18a4036eb60
:28853ccabe476a856e207e52fe99595f914fc953
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:de8765a1f811be7af865204ba32ef7846307e863
:4b044fe80e4c1b69986abc4b160c303048005d4e
:e91010b497ec024178c36f4365b21f668bada0ca
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:4dac977c0337ed949981bfc9ec0c5c617eb0cc74
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:822e9b3523e8312240f41a25722d539bc77ed436
:8f7c190397d7c1f617e66f18f759714662b60367
:1d4df97fa6024b097b634a272447243c95c26d85
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:130699b76d99d57ef46beeed9d693005f3c8917f
:f64b7319b84d426ed547084bdb2577f4f596c18f
:247132297f287226a24c12e683292f5c94013066
:516204cfc31148538d56b21e2f1b945ed50127d4
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sjoerd/2

comment:
:I clicked on a Launcher in the panel immediately after a resume from suspend-to-RAM.
:The panel is set to auto hide, but was visible since the mouse was over it.

core_backtrace:
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x1e960 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x27a2e g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x1490ac - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x16204d - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x1490cd - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x1490cd - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149206 - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x1589f6 gtk_menu_popup libgtk-x11-2.0.so.0 -
:e54d61d3a68a34f47392f3ace3974da77c548a83 0xa4c5 - liblauncher.so -
:e54d61d3a68a34f47392f3ace3974da77c548a83 0xb219 - liblauncher.so -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14cc3c - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x27f20e - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14aa04 gtk_propagate_event libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14ad6b gtk_main_do_event libgtk-x11-2.0.so.0 -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x611cc - libgdk-x11-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:91cbc90630a54f1b3d7fedb507b160585ff96419 0xf9e8 main [exe] -

environ:
:XDG_VTNR=1
:MANPATH=/usr/local/share/man:/usr/share/man
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1627
:HOSTNAME=<withheld>
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/sjoerd/.gnupg/S.gpg-agent:1650:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=13c8c414252836173e21540e0000000f-1338491514.930800-356165063
:METAMAIL_PAGER=/usr/bin/less
:ENSCRIPT=-2r
:GNOME_KEYRING_CONTROL=/run/user/sjoerd/keyring-VK020m
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:LATITUDE=52.369236
:CDPATH=:.:/home/sjoerd:/home/sjoerd/src:/home/sjoerd/src/MonetDB
:USER=sjoerd
:NOMSGLABEL=1
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-TRLtrFSy1472/agent.1472
:USERNAME=sjoerd
:PAGER=/usr/bin/less
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/sjoerd
:DESKTOP_SESSION=xfce
:PATH=/home/sjoerd/.local/bin:/home/sjoerd/bin:/usr/local/bin:/usr/bin:/bin
:QT_IM_MODULE=xim
:PWD=/home/sjoerd
:XMODIFIERS=@im=none
:EDITOR=/home/sjoerd/bin/do-edit
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1470
:LONGITUDE=-4.935694
:LESSGLOBALTAGS=global
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:MM_USEPAGER=1
:SHLVL=2
:HOME=/home/sjoerd
:XDG_SEAT=seat0
:TERMCMD=Terminal
:WEBSTER=/home/sjoerd/src/webster/data
:GREP_OPTIONS=--color=auto
:PYTHONPATH=/home/sjoerd/lib/python
:LESS=-iRj5
:LOGNAME=sjoerd
:MSGVERB=text:action:tag:
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-y0aKEQgQ88,guid=0b40ab88125ba40f4387be9400000023
:NOMSGSEVERITY=1
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:BROWSER=runns
:EMAIL=<withheld>
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/sjoerd
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:CHARSET=UTF-8
:LC_TIME=en_DK.UTF-8
:SYSTEMPATH=/usr/local/bin:/usr/bin:/bin
:XAUTHORITY=/var/run/gdm/auth-for-sjoerd-gMyhFY/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1659,unix/unix:/tmp/.ICE-unix/1659

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31478                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31478                31478                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:socket:[20898]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[20902]
:pos:	0
:flags:	02004002
:6:socket:[20904]
:pos:	0
:flags:	02000002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[22315]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:/home/sjoerd/.local/share/gvfs-metadata/home (deleted)
:pos:	0
:flags:	0100000
:11:pipe:[20307]
:pos:	0
:flags:	01
:12:/home/sjoerd/.local/share/gvfs-metadata/home-184b189b.log (deleted)
:pos:	0
:flags:	0100000
:13:socket:[311103]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 9b00c26d-4850-4b95-b509-1f55de5b213c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4787.63
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T8300  @ 2.40GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2401
:System Memory: 3953
:System Swap: 6015
:Vendor: Dell Inc.
:System: Inspiron 1720 
:Form factor: Portable
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:4136:498) pci, None, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10753:4136:498) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:10302:4136:498) pci, i801_smbus, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10281:4136:498) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:10320:4136:498) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10261:4136:498) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(32902:16937:32902:4385) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN [Kedron] Network Connection
:(32902:9288:4136:498) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10289:4136:498) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10288:4136:498) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10290:4136:498) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(4480:1426:4136:498) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2130:4136:498) pci, None, BASE, xD-Picture Card Controller
:(4480:2098:4136:498) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10298:4136:498) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(5348:5900:4136:498) pci, b44, ETHERNET, BCM4401-B0 100Base-TX
:(32902:10309:4136:498) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 4
:(32902:10303:4136:498) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4136:498) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10315:4136:498) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10292:4136:498) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10293:4136:498) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(4318:1031:4136:498) pci, nouveau, VIDEO, G84 [GeForce 8600M GT]
:(32902:10294:4136:498) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(4480:2082:4136:498) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_koolmees-lv_root / ext4 4096 4096 13092922 11512722 11381672 3276800 3084811 3084811
:/dev/sda1 /boot ext4 1024 1024 508745 423916 398316 128016 127660 127660
:/dev/mapper/vg_koolmees-lv_home /home ext4 4096 4096 82800913 34410418 30265676 20725760 20149976 20149976
:/dev/sdc1 WITHHELD ext3 4096 4096 240369457 150657769 138448269 61054976 60987010 60987010
:

var_log_messages:
:Jun  1 18:07:00 koolmees kernel: [40157.108905] xfce4-panel[1667]: segfault at 21d5a128 ip 00000031b9e1e960 sp 00007fff4ab64e38 error 4 in libgobject-2.0.so.0.3200.1[31b9e00000+4b000]
:Jun  1 18:07:00 koolmees abrt[1715]: File '/usr/bin/xfce4-panel' seems to be deleted
:Jun  1 18:07:01 koolmees abrt[1715]: Saved core dump of pid 1667 (/usr/bin/xfce4-panel) to /var/spool/abrt/ccpp-2012-06-01-18:07:00-1667 (16863232 bytes)
Comment 1 Sjoerd Mullender 2012-06-01 12:16:35 EDT
Created attachment 588529 [details]
File: backtrace
Comment 2 Sjoerd Mullender 2012-06-01 12:16:37 EDT
Created attachment 588530 [details]
File: maps
Comment 3 Sjoerd Mullender 2012-06-01 12:16:39 EDT
Created attachment 588531 [details]
File: dso_list
Comment 4 Kevin Fenzi 2012-06-01 13:23:04 EDT
Is this a one time crash? Or can you get it to happen again by suspending/resuming and clicking?
Comment 5 Sjoerd Mullender 2012-06-02 03:08:13 EDT
So far this was a one time crash.  So far I've only suspended my new F17 installation twice.
Comment 6 Fedora End Of Life 2013-07-04 02:04:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 13:28:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.